## Optionen für Verbindungsaufbau

### Verwendung

Im Kommandodatei- oder Sitzungsmodus können Sie Optionen für den Verbindungsaufbau angeben.

connect_options

-d <database_name> | Name der Datenbankinstanz
-u [<database_user>,<password>] | Name des Datenbankbenutzers und sein Kennwort
-n <database_computer>[:<port>] | Name des Datenbankrechners Vorschlagswert: lokaler Rechner
-s <schema_name> | Name des Datenbankschemas Vorschlagswert: Schema des aktuellen Datenbankbenutzers
-e <encryption> | Verschlüsselungsmethode Möglicher Wert: SSL (momentan wird nur die SSL/TLS-Verschlüsselung in SAP-Systemen unterstützt)

### Beispiele

Loader-Tutorial, Kommandodateimodus, Sitzungsmodus

### Erläuterung

#### -d <database_name>

Der Loader baut eine Verbindung zur angegebenen Datenbankinstanz database_name auf. Dabei führt der Loader implizit das Loader-Kommando USE DB oder bei gleichzeitiger Angaben von Datenbankinstanzname und Benutzerdaten das Loader-Kommando USE USER aus.

Der Name der Datenbankinstanz kann auch mit Hilfe der Kommandos USE DB oder USE USER übermittelt werden und damit während der Loader-Sitzung gewechselt werden.

#### -u [<database_user>,<password>]

Voraussetzung für die Verwendung dieser Option ist, dass Sie gleichzeitig die Option –d zur Angabe einer Datenbankinstanz verwenden.

Wenn Sie die Option –u ohne die Angabe der Benutzerdaten <database_user>,<password> verwenden, werden Sie vom Loader nach der Benutzername-/Kennwort-Kombination gefragt. Auf diese Weise vermeiden Sie, dass das Benutzerkennwort in der Kommandozeile, Kommandohistorie sowie in der Prozessliste des Betriebssystems sichtbar wird.

Für den angegebenen Benutzer wird eine Datenbanksitzung aufgebaut. Dabei führt der Loader implizit das Loader-Kommando USE USER aus. Benutzername und Kennwort werden vom Datenbanksystem automatisch in Großbuchstaben umgewandelt.

Benutzerdaten können auch mit Hilfe des Kommandos USE USER übermittelt werden. Dadurch ist ein Benutzerwechsel während einer Loader-Sitzung möglich.

#### -n <database_computer>[:<port>]

Voraussetzung für die Verwendung dieser Option ist, dass Sie gleichzeitig die Option –d oder die Optionen –d und –u verwenden.

Der Loader baut eine Verbindung zur Datenbankinstanz auf dem angegebenen Rechner database_computer auf. Dabei führt der Loader implizit das Loader-Kommando USE DB oder bei gleichzeitiger Angaben von Datenbankinstanzname und Benutzerdaten das Loader-Kommando USE USER aus.

Der Name des Datenbankrechners kann auch mit Hilfe der Kommandos USE DB oder USE USER übermittelt werden.

#### -s <schema_name>

Voraussetzung für die Verwendung dieser Option ist, dass Sie gleichzeitig die Optionen –d und –u verwenden.

Der Loader baut eine Verbindung zum angegebenen Schema auf.

Der Name des Schemas kann auch mit Hilfe der Kommandos USE SCHEMA, USE USER oder SET CURRENT SCHEMA übermittelt werden.

#### -e <encryption>

Voraussetzung für die Verwendung dieser Option ist, dass Sie Ihr SAP-System für die Verschlüsselung konfiguriert haben.

Sie schalten die Verschlüsselungsfunktion ein und wählen die Verschlüsselungsmethode für die Kommunikation.

Siehe auch:

Konzepte des Datenbanksystems, Datenverschlüsselung